Bug 1304125 - Review Request: pam_usb - hardware authentication for Linux
Review Request: pam_usb - hardware authentication for Linux
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 18:52 EST by Francisco Javier Tsao Santín
Modified: 2016-07-29 05:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-02 18:58:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Francisco Javier Tsao Santín 2016-02-02 18:52:40 EST
Spec URL: http://gattaca.es/files/packages/pam_usb.spec
SRPM URL: http://gattaca.es/files/packages/pam_usb-0.5.0-1.fc23.src.rpm
Description: pam_usb provides hardware authentication for Linux using ordinary USB Flash Drives. It works with any application supporting PAM, such as su and login managers (GDM, KDM).
Fedora Account System Username: tsao

This is my first package, and I need sponsor.

That's the link to a sucessful koji buld:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12792709
Comment 1 Peter Lemenkov 2016-02-15 07:46:49 EST
I'll review it and I'll sponsor you.
Comment 2 Peter Lemenkov 2016-02-15 08:21:54 EST
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent

Auriga ~/tmp/pam_usb: rpmlint *
pam_usb.src: W: spelling-error %description -l en_US pam -> map, Pam, pan
pam_usb.src: W: spelling-error %description -l en_US usb -> USB, sub, us
pam_usb.src: W: spelling-error %description -l en_US su -> sew, us, s

^^^ false positive

pam_usb.src: W: no-version-in-last-changelog

^^^ please, add version to your changelog entry

pam_usb.x86_64: W: spelling-error %description -l en_US usb -> USB, sub, us
pam_usb.x86_64: W: spelling-error %description -l en_US su -> sew, us, s

^^^ false positive

pam_usb.x86_64: W: no-version-in-last-changelog

^^^ see above

pam_usb.x86_64: W: manual-page-warning /usr/share/man/man1/pamusb-check.1.gz 1: warning: macro `"' not defined
pam_usb.x86_64: W: manual-page-warning /usr/share/man/man1/pamusb-agent.1.gz 1: warning: macro `"' not defined
pam_usb.x86_64: W: manual-page-warning /usr/share/man/man1/pamusb-conf.1.gz 1: warning: macro `"' not defined

^^^ Not sure what's this, but it looks harmless.

pam_usb-debuginfo.x86_64: W: spelling-error Summary(en_US) pam -> map, Pam, pan
pam_usb-debuginfo.x86_64: W: spelling-error Summary(en_US) usb -> USB, sub, us
pam_usb-debuginfo.x86_64: W: spelling-error %description -l en_US pam -> map, Pam, pan
pam_usb-debuginfo.x86_64: W: spelling-error %description -l en_US usb -> USB, sub, us

^^^ False positive as well.

pam_usb-debuginfo.x86_64: W: no-version-in-last-changelog


^^^ See above.

3 packages and 0 specfiles checked; 0 errors, 15 warnings.
Auriga ~/tmp/pam_usb: 


+ The package is named according to the  Package Naming Guidelines. Well at least in the same unfortunate way other PAM-related packages were named.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.

+/- The package meets the Packaging Guidelines. I've got only few minor suggestions. Consider removing no longer necessary %defattr explicit mentioning and cleaning up BUILDROOT in the %install section.

+ The package is licensed with a Fedora approved license (GPLv2) and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (strict GPLv2).

- The file, containing the text of the license(s) for the package, MUST included in %doc. Please add the followint line to the main package's %files section:

%license COPYING

+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

Auriga ~/rpmbuild/SOURCES: sha256sum b96b4f79f7a579b2445a149d3b382c16a6d04324.tar.gz*
30c60b75a8959af242da6f9486b5de7218b1cd725f21950aed6a3e469a81563a  b96b4f79f7a579b2445a149d3b382c16a6d04324.tar.gz
30c60b75a8959af242da6f9486b5de7218b1cd725f21950aed6a3e469a81563a  b96b4f79f7a579b2445a149d3b382c16a6d04324.tar.gz.1
Auriga ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See Koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so) in some of the dynamic linker's default paths.
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.


This package is


APPROVED.


Please don't forget to explicitly mention COPYING file as I proposed above.
Comment 3 Francisco Javier Tsao Santín 2016-02-16 16:36:05 EST
Thanks a lot, Peter. I'll do the changes then I'll make a update in this bugreport.

Best regards,

Tsao
Comment 4 Francisco Javier Tsao Santín 2016-02-28 19:32:49 EST
Hello again,
As you proposed, I did the following changes:
-I deleted %defattr and cleaning up BUILDROOT 
-I added the %license entry so the COPYING file is installed in /usr/share/licenses/pam_usb
-I added the version in the %changelog entry
I uploaded the new files:

Spec URL: http://gattaca.es/files/packages/pam_usb.spec
SRPM URL: http://gattaca.es/files/packages/pam_usb-0.5.0-1.fc23.src.rpm

And run a sucessful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13168815

Best regards,

Tsao
Comment 5 Peter Lemenkov 2016-03-02 18:58:24 EST
Ok, closing this as the package was built for Rawhide.

Note You need to log in before you can comment on or make changes to this bug.